Installing Enterprise Library 3.1 on Windows 2008?

Topics: Enterprise Library Core, General discussion
Jul 8, 2009 at 12:56 PM

We have a number of applications using  Enterprise Library 3.1 that we will be moving over to Windows 2008.  The Enterprise Library 3.1 installer will not allow us to install(as administrator) on Windows 2008, we get the following message:

This installation package could not be opened. Contact the application vendor to verify that this is a valid Windows Installer package.

Is there a way to force, hack or manually install EntLib 3.1 on Windows 2008?

 

Jul 8, 2009 at 2:04 PM

Did you try to run the same installer in another environment? I'm asking because the usual issue when installing in Windows 2008 is related to permission and it will give you a different error message.  Refer to this FAQ item - http://entlib.codeplex.com/Wiki/View.aspx?title=Is%20there%20a%20workaround%20for%20the%20Enterprise%20Library%20Source%20Installation%20Error%3f&referringTitle=Home

I have encountered the same error before and I thought the installer must be corrupted so I had to redownload it again.

 

Sarah Urmeneta
Global Technology and Solutions
Avanade, Inc.
entlib.support@avanade.com

Jul 8, 2009 at 6:21 PM

Sarah, your right.  It was a corrupted package.

I've downloaded a new copy and it installed with no problems..

 

Thanks